var isDHTML  = 0;
var isID     = 0;
var isAll    = 0;
var isLayers = 0;
var isNS     = 0;
var isIE     = 0;

if (document.getElementById)
{
  isID = 1;
  isDHTML = 1;
}else
{
  if (document.all)
  {
    isAll   = 1;
    isDHTML = 1;
  }else
  {
    browserVersion = parseInt(navigator.appVersion);
    if ((navigator.appName.indexOf('Netscape') != -1) &&
        (browserVersion == 4))
    {
      isNS     = 1;
      isLayers = 1;
      isDHTML  = 1;
    }// End if ((navigator.appName.indexOf('Netscape') != -1) &&
  }// End if (document.all)
}// End if (document.getElementById)
if (navigator.appName.indexOf('Microsoft Internet Explorer') != -1)
{
  isIE = 1;
}// End if (navigator.appName.indexOf('Microsoft Internet Explorer') != -1)


function findDOM(objectID,withStyle,frameName)
{
  if (withStyle == 1)
  {
	  if (isID)
    {
      if( frameName == null )
      {
        //alert('Null');
        return (document.getElementById(objectID).style);
      }else
      {
        //alert('notNull');
        return (top[frameName].document.getElementById(objectID).style);
      }
    }else
    {
		  if (isAll)
      {
        return (document.all[objectID].style);
      }else
      {
			  if (isLayers)
        {
          return (document.layers[objectID]);
        }// End if (isLayers)
		  }// End if (isAll)
    }// End if (isID)
  }else
  {
		if (isID)
    {
      if( frameName == null )
      {
        return (document.getElementById(objectID));
      }else
      {
        //alert('notNull');
        return (top[frameName].document.getElementById(objectID));
      }
    }else
    {
		  if (isAll)
      {
        return (document.all[objectID]);
      }else
      {
			  if (isLayers)
        {
          return (document.layers[objectID]);
        }// End if (isLayers)
		  }// End if (isAll)
    }// End if (isID)
	}// End if (withStyle == 1)
}// End function findDOM(objectID,withStyle)
}
